Debian Bug report logs - #640963
wrong relations for -prof

version graph

Package: pandoc; Maintainer for pandoc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for pandoc is src:pandoc.

Reported by: Clint Adams <clint@debian.org>

Date: Fri, 9 Sep 2011 00:42:02 UTC

Severity: serious

Found in version pandoc/1.8.2-1

Fixed in versions 1.8.2.1-2, haskell-hakyll/3.2.0.9-1

Done: Clint Adams <clint@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#640963; Package pandoc. (Fri, 09 Sep 2011 00:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
New Bug report received and forwarded. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Fri, 09 Sep 2011 00:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wrong relations for -prof
Date: Fri, 9 Sep 2011 00:39:58 +0000
Package: pandoc
Version: 1.8.2-1

Sorry, Jonas.. it seems like I gave you a bad patch and so
libghc-pandoc-prof doesn't depend on libghc-pandoc-types-prof.
This is probably better:

diff --git a/debian/control b/debian/control
index a1c1273..7a17876 100644
--- a/debian/control
+++ b/debian/control
@@ -185,8 +185,11 @@ Package: libghc-pandoc-prof
 Section: haskell
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}
-Suggests: ${cdbs:Suggests}
+Depends: ${haskell:Depends}
+  , ${misc:Depends}
+Recommends: ${haskell:Recommends}
+Suggests: ${haskell:Suggests}
+Provides: ${haskell:Provides}
 Description: general markup converter
  Pandoc is a Haskell library for converting from one markup format to
  another, and a command-line tool that uses this library. It can read




Severity set to 'serious' from 'normal' Request was from Clint Adams <clint@debian.org> to control@bugs.debian.org. (Sat, 24 Sep 2011 15:24:14 GMT) Full text and rfc822 format available.

Added indication that bug 640963 blocks 642622 Request was from Clint Adams <clint@debian.org> to control@bugs.debian.org. (Sat, 24 Sep 2011 15:24:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#640963; Package pandoc. (Mon, 26 Sep 2011 13:58:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Mon, 26 Sep 2011 13:58:27 GMT) Full text and rfc822 format available.

Message #14 received at 640963@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Clint Adams <clint@debian.org>
Cc: Kiwamu Okabe <kiwamu@debian.or.jp>, debian-haskell@lists.debian.org, 640963@bugs.debian.org
Subject: Re: Where is haskell-hakyll's source repository?
Date: Mon, 26 Sep 2011 15:55:46 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 26.09.2011, 13:39 +0000 schrieb Clint Adams:
> On Mon, Sep 26, 2011 at 08:45:34PM +0900, Kiwamu Okabe wrote:
> > I think libghc-hakyll-dev is broken in sid.
> 
> On Mon, Sep 26, 2011 at 02:13:08PM +0200, Joachim Breitner wrote:
> > Is this a breakage that can be fixed by a binNMU?
> 
> http://bugs.debian.org/640963

ok, so the bug in hakyll can be fixed temporarily by a binNMU, and then
again properly when pandoc is uploaded with the patch suggested by
Clint.

@Kiwamu, before uploading a new version, check if it does really contain
an improvement for Debian users. I often use
$ cabal unpack foo-1.2.3; cabal unpack foo-1.2.4; diff -ru foo-1.2.*
for that. If there are worth-while changes, then you are of course
welcome to upgrade the package.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#640963; Package pandoc. (Mon, 26 Sep 2011 14:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Mon, 26 Sep 2011 14:36:05 GMT) Full text and rfc822 format available.

Message #19 received at 640963@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: Kiwamu Okabe <kiwamu@debian.or.jp>, debian-haskell@lists.debian.org, 640963@bugs.debian.org
Subject: Re: Where is haskell-hakyll's source repository?
Date: Mon, 26 Sep 2011 14:32:06 +0000
On Mon, Sep 26, 2011 at 03:55:46PM +0200, Joachim Breitner wrote:
> ok, so the bug in hakyll can be fixed temporarily by a binNMU, and then

No, I don't think so; a temporary fix would be an explicit dependency
on libghc-pandoc-types-prof, as I understand it.




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#640963; Package pandoc. (Mon, 26 Sep 2011 14:43:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Mon, 26 Sep 2011 14:43:23 GMT) Full text and rfc822 format available.

Message #24 received at 640963@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Clint Adams <clint@debian.org>
Cc: Kiwamu Okabe <kiwamu@debian.or.jp>, debian-haskell@lists.debian.org, 640963@bugs.debian.org
Subject: Re: Where is haskell-hakyll's source repository?
Date: Mon, 26 Sep 2011 16:41:00 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 26.09.2011, 14:32 +0000 schrieb Clint Adams:
> On Mon, Sep 26, 2011 at 03:55:46PM +0200, Joachim Breitner wrote:
> > ok, so the bug in hakyll can be fixed temporarily by a binNMU, and then
> 
> No, I don't think so; a temporary fix would be an explicit dependency
> on libghc-pandoc-types-prof, as I understand it.

Hmm, let’s see. the problem is that the dependency on pandoc is not
hashed because pandoc does not provide the hashed name. Hence a rebuild
of pandoc does not propagate to hakyll. Not sure why we need the
dependency on pandoc-types (or maybe I just haven’t seen the proper
error yet). But this should not be a show-stopper, worst thing that can
happen is that hakyll breaks upon installation until we schedule a
binNMU

But hakyll itself needs a fix to a more serious problem:
https://buildd.debian.org/status/package.php?p=haskell%2dhakyll
it build-depends on hamlet < 0.9 which has been upgraded to 0.10.
Unfortunately, no updated hakyll is available. So hakyll will stay
broken until such a version is released.

Kiwamu, have you notified Jasper Van der Jeugt that his package needs an
update? Once that has happened, you can upload hakyll to unstable.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Reply sent to Clint Adams <clint@debian.org>:
You have taken responsibility. (Sat, 08 Oct 2011 14:45:11 GMT) Full text and rfc822 format available.

Notification sent to Clint Adams <clint@debian.org>:
Bug acknowledged by developer. (Sat, 08 Oct 2011 14:45:11 GMT) Full text and rfc822 format available.

Message #29 received at 640963-done@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 640963-done@bugs.debian.org
Subject: fixed
Date: Sat, 8 Oct 2011 14:42:50 +0000
Version: 1.8.2.1-2

    + Add ${haskell:Depends} ${haskell:Recommends} ${haskell:Suggests}
      and ${haskell:Provides}, and stop explicitly suggesting *-doc
      packages.






Reply sent to Clint Adams <clint@debian.org>:
You have taken responsibility. (Sat, 08 Oct 2011 15:09:22 GMT) Full text and rfc822 format available.

Notification sent to Clint Adams <clint@debian.org>:
Bug acknowledged by developer. (Sat, 08 Oct 2011 15:09:22 GMT) Full text and rfc822 format available.

Message #34 received at 640963-close@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 640963-close@bugs.debian.org
Subject: Bug#640963: fixed in haskell-hakyll 3.2.0.9-1
Date: Sat, 08 Oct 2011 15:04:32 +0000
Source: haskell-hakyll
Source-Version: 3.2.0.9-1

We believe that the bug you reported is fixed in the latest version of
haskell-hakyll, which is due to be installed in the Debian FTP archive:

haskell-hakyll_3.2.0.9-1.debian.tar.gz
  to main/h/haskell-hakyll/haskell-hakyll_3.2.0.9-1.debian.tar.gz
haskell-hakyll_3.2.0.9-1.dsc
  to main/h/haskell-hakyll/haskell-hakyll_3.2.0.9-1.dsc
haskell-hakyll_3.2.0.9.orig.tar.gz
  to main/h/haskell-hakyll/haskell-hakyll_3.2.0.9.orig.tar.gz
libghc-hakyll-dev_3.2.0.9-1_amd64.deb
  to main/h/haskell-hakyll/libghc-hakyll-dev_3.2.0.9-1_amd64.deb
libghc-hakyll-doc_3.2.0.9-1_all.deb
  to main/h/haskell-hakyll/libghc-hakyll-doc_3.2.0.9-1_all.deb
libghc-hakyll-prof_3.2.0.9-1_amd64.deb
  to main/h/haskell-hakyll/libghc-hakyll-prof_3.2.0.9-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 640963@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <clint@debian.org> (supplier of updated haskell-hakyll package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 08 Oct 2011 10:11:12 -0400
Source: haskell-hakyll
Binary: libghc-hakyll-dev libghc-hakyll-prof libghc-hakyll-doc
Architecture: source all amd64
Version: 3.2.0.9-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Clint Adams <clint@debian.org>
Description: 
 libghc-hakyll-dev - static website compiler library
 libghc-hakyll-doc - static website compiler library; documentation
 libghc-hakyll-prof - static website compiler library; profiling libraries
Closes: 640963
Changes: 
 haskell-hakyll (3.2.0.9-1) unstable; urgency=low
 .
   * New upstream version.
     - Build-depends on newer hamlet.  closes: #640963.
     - Drop 0001-Use-cryptohash-instead-of-hopenssl.patch (merged upstream).
Checksums-Sha1: 
 79f3eac86c565442d7c033c6d90395dc3811463b 3123 haskell-hakyll_3.2.0.9-1.dsc
 6dbc97bbc01111748cc86be0fde9cf38f9502643 45687 haskell-hakyll_3.2.0.9.orig.tar.gz
 409c571cd9296151eb4511139157065196fe0f70 2520 haskell-hakyll_3.2.0.9-1.debian.tar.gz
 d109520073307f865f90a4adeb3ae87aa6b79b55 175050 libghc-hakyll-doc_3.2.0.9-1_all.deb
 8de5bb547edeafda9eec626fc8309c4709ef77d8 603666 libghc-hakyll-dev_3.2.0.9-1_amd64.deb
 a3afc5ffe34a6164202f3acdd97f1c1641e376e7 630370 libghc-hakyll-prof_3.2.0.9-1_amd64.deb
Checksums-Sha256: 
 22e6814f17b68107be7ce328aad63ca8096199b6d25dd90fc4e47369d1a8585f 3123 haskell-hakyll_3.2.0.9-1.dsc
 66cb529f5b65a2b6511e85eb879d96422fb8989ebeb37395b11855faf70261bd 45687 haskell-hakyll_3.2.0.9.orig.tar.gz
 af1326faee2622b12facc631817d1a38c30e548f7a1ab37691f4a8baf5615fe8 2520 haskell-hakyll_3.2.0.9-1.debian.tar.gz
 5da1291c022789c6712d2774d5ad18ed4288e41ff85aa146641f12fcb8a77c32 175050 libghc-hakyll-doc_3.2.0.9-1_all.deb
 e8cc427a5085f1ee576eabd0343b4fd7189da35bc0b81758e1062790924d96a9 603666 libghc-hakyll-dev_3.2.0.9-1_amd64.deb
 e7fb86552afae0c355ecc996fe14668cb7b5c760a6012128c79d833d8e6c8241 630370 libghc-hakyll-prof_3.2.0.9-1_amd64.deb
Files: 
 14861997064445acc9bfb872c31901dc 3123 haskell extra haskell-hakyll_3.2.0.9-1.dsc
 d9335452941050e720a5ffec6afe11ac 45687 haskell extra haskell-hakyll_3.2.0.9.orig.tar.gz
 172bbbf3a8d3b8c26d65f069cf359510 2520 haskell extra haskell-hakyll_3.2.0.9-1.debian.tar.gz
 7105a1d74f598e1c61a09f4baa15a214 175050 doc extra libghc-hakyll-doc_3.2.0.9-1_all.deb
 371035310f554d5d4c80a4e76c8bf7ae 603666 haskell extra libghc-hakyll-dev_3.2.0.9-1_amd64.deb
 1d230bff468abc18af776d385de31799 630370 haskell extra libghc-hakyll-prof_3.2.0.9-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJOkF+nAAoJEFWSMx4ZnTioM1MQAJO2YX9y1fkL3flnZeVjbeA/
e1FRlBp+v+xXButX/7MYttcAzsD4QaFfpwZtFiXi/y9uNhIcDoWKUU9offVKbqTz
Vc7DxAm78NKwdMupoIOnYuol1ut07otfbYXxVftSJZij2yRDw6hpcWvrfEqiDbxN
B+c8Rb1TzOULam3lhn6nH4N8bN2nHIVPvX3975E/7+4bU0MegNlRkSmfL/lCp27G
xq2xZUoNJ2o9qDZp0F2vRRnt0buEcCTT0Kywonzci1pnB5amxOpL/4NzZfYpFAPd
EXPkPbuKP3cdxMiT/sWtTegrXr9lIuovLCy1sh7uiFOKuupNIvWJSQ250o2jj2Q/
pMJqdvWH4bTvD9SJpjUN5yzx3lF4iaMM2IIBf6VMJOorJ5+FyqzlBvZo4+6fQnap
MD39NhNUuw2wdLkxZQwwD91s/jHQcD/7Nwzu9I8gR9gy2GOYKo5j0bswO6gzQh6H
yJvY0QRbTu/i1XMV3WtDoXt+b6AiuTrV0SEk4QWGKk8RbZJ++RHLNw+ERCQ4fyO/
KeKZ92/+1xOD8GqhQIZUyGqtye9k0QNFb4yEQiy+5GrLF6q4cBk1v0ZvAc/UmdOF
21Pro+fOqFME2L0RxQkHTWD7i8wU7Rx3rPp2T8FtAuagE6hPO2yoOIQ+3HB6WRAk
4ALEllL63cVSrMuBh758
=TQxu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Nov 2011 07:38:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:47:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.